:: HELP CONCEPT For XPE-plugins
::     Plugins marked with <RaH-313-102> in the name meet the
::     following requirements:
::     - work on XPE
::     - have autoHelp
::     - are tested to run on reatogos test environment      
:: --------------------------------------------------------------------
:: TEST ENVIRONMENT
::     <RaH-313-102> refers to:
::     Reatogo autoHelp - PEbuilder3.1.3 + XPE 1.0.2
::     future test environments will reflect the then current versions.
:: --------------------------------------------------------------------
:: CREDITS
::     The original "autoHelp.bat" concept was created by reatogo.
::     The final format, allowing for:
::     "non-default install path", "include user-info from reg." 
::     evolved with the input of CWorks, Brantdk and SlimShady
::     http://www.911cd.net/forums/index.php?showtopic=10764&view=getlastpost
:: --------------------------------------------------------------------
:: MORE INFO
::     http://www.reatogo.de/BartPE/FEATURES/autoHelp_for_plugins.htm
:: --------------------------------------------------------------------


@ECHO off
rem colour white/gray, size of window
Color F8
MODE CON: COLS=80 LINES=19
Title=[ autoHelp ] USB + Firewire

::XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
echo.
echo.
ECHO          ͻ
ECHO                                                                      
ECHO                            reatogo autoHelp.cmd                      
ECHO                                                                      
ECHO          ͼ
echo.
ECHO          ͻ
ECHO                                                                      
ECHO                      Extended USB and FIREWIRE support               
ECHO                                                                      
ECHO                        This will create USB-1394.reg                 
ECHO                     and create a localized USB-1394.inf              
ECHO                                                                      
ECHO          ͼ



pause

::XXXXXXXXXXXXXXXXXXXX creation of USB-1394.inf XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
MODE CON: COLS=100 LINES=40

SET FILE=USB-1394.inf

ECHO. > %FILE%
ECHO ; PE Builder v3 plug-in INF file for USB devices >> %FILE%
ECHO ; >> %FILE%
ECHO ; usb1394.inf >> %FILE%
ECHO ; based on a plugin originally created by Mick Leong and work from cool400 >> %FILE%
ECHO ; modified and adapted to autoHelp by reatogo >> %FILE%
ECHO ; thanks for all the help, input and testing to AEC and MartinR >> %FILE%
ECHO. >> %FILE%
ECHO [Version] >> %FILE%
ECHO Signature= "$Windows NT$" >> %FILE%
ECHO. >> %FILE%
ECHO [PEBuilder] >> %FILE%
ECHO Name="100     USB & IEEE1394 (Firewire) V2.4c <RaH-313-103>" >> %FILE%
ECHO Enable=1 >> %FILE%
ECHO Help="\" >> %FILE%
ECHO. >> %FILE%
ECHO. >> %FILE%
ECHO [SourceDisksFiles] >> %FILE%
ECHO USB-1394.reg=2,,1 >> %FILE%
ECHO. >> %FILE%
ECHO %systemroot%\system32\hccoin.dll=2,,1 >> %FILE%
ECHO %systemroot%\system32\hdwwiz.cpl=2,,1 >> %FILE%
ECHO %systemroot%\system32\hotplug.dll=2,,1 >> %FILE%
ECHO %systemroot%\system32\stobject.dll=2,,1 >> %FILE%
ECHO %systemroot%\system32\storage.dll=2,,1 >> %FILE%
ECHO %systemroot%\system32\storprop.dll=2,,1 >> %FILE%
ECHO %systemroot%\system32\svchost.exe=2,,1 >> %FILE%
ECHO %systemroot%\system32\usbmon.dll=2,,1 >> %FILE%
ECHO %systemroot%\system32\usbui.dll=2,,1 >> %FILE%
ECHO. >> %FILE%
ECHO %systemroot%\system32\drivers\isapnp.sys=4,,1 >> %FILE%
ECHO %systemroot%\system32\drivers\sbp2port.sys=4,,4 >> %FILE%
ECHO %systemroot%\system32\drivers\swenum.sys=4,,1 >> %FILE%
ECHO %systemroot%\system32\drivers\usb8023.sys=4 >> %FILE%
ECHO %systemroot%\system32\drivers\usbd.sys=4,,1 >> %FILE%
ECHO %systemroot%\system32\drivers\usbehci.sys=4,,1 >> %FILE%
ECHO %systemroot%\system32\drivers\usbuhci.sys=4,,4 >> %FILE%
ECHO %systemroot%\system32\drivers\usbhub.sys=4,,1 >> %FILE%
ECHO %systemroot%\system32\drivers\usbintel.sys=4 >> %FILE%
ECHO %systemroot%\system32\drivers\usbohci.sys=4,,4 >> %FILE%
ECHO. >> %FILE%
ECHO %systemroot%\system32\drivers\usbport.sys=4,,1 >> %FILE%
ECHO %systemroot%\system32\drivers\usbstor.sys=4,,1 >> %FILE%
ECHO. >> %FILE%
ECHO %systemroot%\system32\drivers\usbcamd2.sys=4,,4 >> %FILE%
ECHO %systemroot%\system32\drivers\usbcamd.sys=4,,4 >> %FILE%
ECHO. >> %FILE%
ECHO ;only if you have a scanner >> %FILE%
ECHO %systemroot%\system32\drivers\usbscan.sys=4,,4 >> %FILE%
ECHO. >> %FILE%
ECHO ;only for IEEE1394 >> %FILE%
ECHO %systemroot%\system32\drivers\1394bus.sys=4 >> %FILE%
ECHO %systemroot%\system32\drivers\arp1394.sys=4 >> %FILE%
ECHO %systemroot%\system32\drivers\enum1394.sys=4 >> %FILE%
ECHO %systemroot%\system32\drivers\nic1394.sys=4 >> %FILE%
ECHO %systemroot%\system32\drivers\ohci1394.sys=4 >> %FILE%
ECHO. >> %FILE%
ECHO ;\WINDOWS\INF >> %FILE%
ECHO %systemroot%\inf\enum1394.inf=20,,1 >> %FILE%
ECHO %systemroot%\inf\1394.inf=20,,1 >> %FILE%
ECHO %systemroot%\inf\1394vdbg.inf=20,,1 >> %FILE%
ECHO %systemroot%\inf\net1394.inf=20,,1 >> %FILE%
ECHO. >> %FILE%
ECHO ;%systemroot%\inf\enum1394.pnf=20,,1 >> %FILE%
ECHO ;%systemroot%\inf\1394.pnf=20,,1 >> %FILE%
ECHO ;%systemroot%\inf\1394vdbg.pnf=20,,1 >> %FILE%
ECHO ;%systemroot%\inf\net1394.pnf=20,,1 >> %FILE%
ECHO. >> %FILE%
ECHO ;You may not have usb2.cat usb2.inf >> %FILE%
ECHO %systemroot%\inf\usb2.cat=20,,4 >> %FILE%
ECHO %systemroot%\inf\usb2.inf=20,,4 >> %FILE%
ECHO %systemroot%\inf\usb.inf=20,,1 >> %FILE%
ECHO %systemroot%\inf\usbport.inf=20,,1 >> %FILE%
ECHO %systemroot%\inf\usbprint.inf=20 >> %FILE%
ECHO %systemroot%\inf\usbstor.inf=20,,1 >> %FILE%
ECHO. >> %FILE%
ECHO %systemroot%\Drivers\ousb2\ousb2.inf=20,,4 >> %FILE%
ECHO %systemroot%\system32\drivers\ousb2hub.sys=2,,4 >> %FILE%
ECHO %systemroot%\system32\drivers\ousbehci.sys=2,,4 >> %FILE%
ECHO. >> %FILE%
ECHO. >> %FILE%


ECHO [Default.AddReg] >> %FILE%
ECHO 0x2, "Software\Microsoft\Windows\CurrentVersion\RunOnce", "Load USB-1394-reg", "regedit /s %%SystemRoot%%\System32\USB-1394.reg" >> %FILE%
::XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX



::XXXXXXXXXXXXXXXXXX start creation of usb-1394.reg XXXXXXXXXXXXXXXXXXXXXXXXXXXX

cmd /V:ON /C _.cmd _.keys usb-1394.reg

